---
-- Register
-- Register script to register the custom specializations.
-- Copyright (c) Sergiu, 2019 https://www.youtube.com/channel/UCiFlham5KE1HGlEhdKevnHw?view_as=subscriber
-- No permission to edit anything.
---

Animatii_register = {}

function Animatii_register.registerSpecializationVehicle(vehicleType, specialization, specName)
	table.insert(vehicleType.specializationNames, specName)
	vehicleType.specializationsByName[specName] = specialization
	table.insert(vehicleType.specializations, specialization)
end

g_specializationManager.addSpecialization('CardanDirectie', 'CardanDirectie', 'CardanDirectie',  Utils.getFilename("Scripts/CardanDirectie.lua", g_currentModDirectory))
g_specializationManager.addSpecialization('SchimbatorViteze', 'SchimbatorViteze', 'SchimbatorViteze',  Utils.getFilename("Scripts/SchimbatorViteze.lua", g_currentModDirectory))
g_specializationManager.addSpecialization('Hydraulic', 'Hydraulic', 'Hydraulic',  Utils.getFilename("Scripts/Hydraulic.lua", g_currentModDirectory))
    
	
print("----utb650Special Animatii_register Registered.")
print("----Attention if you get an error don't worry it is ignored by the game.")
print("----https://www.youtube.com/channel/UCiFlham5KE1HGlEhdKevnHw?view_as=subscriber.")

addModEventListener(Animatii_register);
